bugsaction

Differences between revisions 121 and 133 (spanning 12 versions)
Revision 121 as of 2009-02-24 16:16:19
Size: 36850
Editor: 91
Comment:
Revision 133 as of 2009-03-23 11:59:52
Size: 40438
Editor: 91
Comment:
Deletions are marked like this. Additions are marked like this.
Line 29: Line 29:

== Put in bzr and sponsor deskbar-applet 2.26.0 ==
-------------------
sponsor : seb128
-------------------

== Update gtk2-engines-murrine 0.90.2 to jaunty ==
-------------------
sponsor : seb128
-------------------

== Update gnome-themes 2.26.0 to jaunty ==
-------------------
sponsor : seb128
-------------------

== Update gnome-control-center 2.26.0 to jaunty ==
-------------------
sponsor : seb128
-------------------

== Update eel2 2.26.0 to jaunty ==
-------------------
sponsor : pitti
-------------------

== Update bug-buddy 2.26.0 to jaunty ==
-------------------
sponsor : seb128
-------------------

== Update vinagre 2.26.0 to jaunty ==
-------------------
sponsor : seb128
-------------------

== Update gnome-games 2.26.0 to jaunty ==
-------------------
sponsor : seb128
-------------------

== Update gnome-doc-utils 0.16.0 to jaunty ==
-------------------
sponsor : pitti
-------------------

== Update gtkmm2.4 2.16.0 to jaunty ==
-------------------
sponsor : seb128
-------------------

== Update gnome-system-monitor 2.26.0.1 to jaunty ==
-------------------
sponsor : seb128
-------------------

== Update gnome-netstatus 2.26.0 to jaunty ==
-------------------
sponsor : pitti
-------------------

== Update gnome-netstatus 2.26.0 to jaunty ==
-------------------
sponsor : pitti
-------------------

== Merge pidgin 2.5.5 from debian ==
-------------------
sponsor : seb128
-------------------

== Update vino 2.25.92 into jaunty ==
-------------------
sponsor: seb128
-------------------

== SRU pidgin: ICQ connection with intepid/hardy/gusty ==
-------------------
sponsor: pitti
-------------------

== Merge pidgin 2.5.5-1 ==
-------------------
sponsor: seb128
-------------------

* it uses cdbs-edit-patch and think about 70_autotools for 'cache' files.

== Please, fix FTBFS to pessulus because of python 2.6 transition ==
-------------------
sponsor : seb128
-------------------

== Please, sponsor glibmm2.4 2.19.8 for jaunty ==
-------------------
sponsor : seb128
-------------------

== Please, sponsor gtkmm2.4 2.15.5 for jaunty ==
-------------------
sponsor : seb128
-------------------

== Fix wrong start page to yelp 2.25.1 ==
-------------------
sponsor : seb128
-------------------

== Update pessulus to 2.25.92 ==
-------------------
sponsor : seb128
-------------------

== Update gnome-games to 2.25.92 ==
-------------------
sponsor : seb128
-------------------

== Update yelp to 2.25.1 ==
-------------------
sponsor : pitti
-------------------

== Update gnome-doc-utils 0.15.2 ==
-------------------
sponsor : pitti
-------------------

== Update vinagre 2.25.92 ==
-------------------
sponsor : seb128
-------------------

== Update vino 2.25.90 ==
-------------------
sponsor : seb128
-------------------

== Update gnome-python 2.25.90 ==
-------------------
sponsor : seb128
-------------------

== Put in bzr and update libeel2-2 2.25.91 to jaunty ==
-------------------
Sponsored by pitti
-------------------

They dont assure ABI stability. So, if symbols are removed and soname isn't bumped -> it's ok.

== Put in bzr and update nautilus-sendto 1.1.2 to jaunty ==
-------------------
Sponsored by mvo
-------------------

== Put in bzr and update nautilus-sendto 1.1.2 to jaunty ==
-------------------
Sponsored by mvo
-------------------
Line 72: Line 231:
== Put in bzr and update libgtop2 2.25.91 to jaunty ==
-------------------
Sponsored by mvo
-------------------

Actions made to correct bugs

This page has been written to have a trace about fix of the packages I have done.


Merge and update gnome-python-extra 2.25.3


sponsor :


en plus du changelog: libpanel-applet2-dev, libgnomeprintui2.2-dev,libgtksourceview-dev, libwnck-dev, totem, libnautilus-burn-dev, libgtop2-dev ont été supprimé de la version debian, donc suppression côté ubuntu.

plus de numéro de version pour python-gtk2-dev

rm debian/rules/00list drop 02_xul19.dpatch (déjà dans debian sur 01_xul19.patch) drop 80_use_new_gdl.dpatch:-#include (déjà dans debian sous 03_gdl-icons.patch) drop 99_run_aclocal+autoconf+automake.dpatch -> 70_autotools.patch


aclocal.m4:16: warning: this file was generated for autoconf 2.62. You have another version of autoconf. It may work, but is not guaranteed to. If you have problems, you may need to regenerate the build system entirely. To do so, use the procedure documented by the package, typically `autoreconf'.

-> run autoreconf

Put in bzr and sponsor deskbar-applet 2.26.0


sponsor : seb128


Update gtk2-engines-murrine 0.90.2 to jaunty


sponsor : seb128


Update gnome-themes 2.26.0 to jaunty


sponsor : seb128


Update gnome-control-center 2.26.0 to jaunty


sponsor : seb128


Update eel2 2.26.0 to jaunty


sponsor : pitti


Update bug-buddy 2.26.0 to jaunty


sponsor : seb128


Update vinagre 2.26.0 to jaunty


sponsor : seb128


Update gnome-games 2.26.0 to jaunty


sponsor : seb128


Update gnome-doc-utils 0.16.0 to jaunty


sponsor : pitti


Update gtkmm2.4 2.16.0 to jaunty


sponsor : seb128


Update gnome-system-monitor 2.26.0.1 to jaunty


sponsor : seb128


Update gnome-netstatus 2.26.0 to jaunty


sponsor : pitti


Update gnome-netstatus 2.26.0 to jaunty


sponsor : pitti


Merge pidgin 2.5.5 from debian


sponsor : seb128


Update vino 2.25.92 into jaunty


sponsor: seb128


SRU pidgin: ICQ connection with intepid/hardy/gusty


sponsor: pitti


Merge pidgin 2.5.5-1


sponsor: seb128


* it uses cdbs-edit-patch and think about 70_autotools for 'cache' files.

Please, fix FTBFS to pessulus because of python 2.6 transition


sponsor : seb128


Please, sponsor glibmm2.4 2.19.8 for jaunty


sponsor : seb128


Please, sponsor gtkmm2.4 2.15.5 for jaunty


sponsor : seb128


Fix wrong start page to yelp 2.25.1


sponsor : seb128


Update pessulus to 2.25.92


sponsor : seb128


Update gnome-games to 2.25.92


sponsor : seb128


Update yelp to 2.25.1


sponsor : pitti


Update gnome-doc-utils 0.15.2


sponsor : pitti


Update vinagre 2.25.92


sponsor : seb128


Update vino 2.25.90


sponsor : seb128


Update gnome-python 2.25.90


sponsor : seb128


Put in bzr and update libeel2-2 2.25.91 to jaunty


Sponsored by pitti


They dont assure ABI stability. So, if symbols are removed and soname isn't bumped -> it's ok.

Put in bzr and update nautilus-sendto 1.1.2 to jaunty


Sponsored by mvo


Put in bzr and update nautilus-sendto 1.1.2 to jaunty


Sponsored by mvo


Sync gtk-doc 1.11-3


sponsor: Steve Langasek


Merge pidgin 2.5.4-2


sponsor: seb128


* why is there an epoch only in Ubuntu ? issue with previous gaim version?

* deleted in debian, so make the same for ubuntu: (2.4.3-1)

  • Remove Network Manager support again since it's still buggy and doesn't
    • actually tell the user what's going on (Closes: #484750)

-> there is also --disable-nm in debian/rules now

* "Add Build-Deps on liblaunchpad-integration-dev, intltool :" intltool are needed for launchpad strip? Why it is an ubuntu change only?

* Don't drop libsilc-1.1-2-dev | libsilc-dev (>= 1.1.1) anymore (not in universe, now) (rmadison + 1:2.4.3-0ubuntu1) -> also, don't pass --disable-silc to configure as it's now available (already done, but not explicitally in changelog)

* why dropping libpurple0 depends on libpurple-bin, as the latter add some extra functionnalities to the first one.

* file .symbol: can there be particular version to create one manually and not using dpkg-gensymbols (by dh-makeshlibs, for instance) during the package build?

* X-Ubuntu-Gettext-Domain seems to be used to ubuntu rosetta. Is there some documentation on that in the wiki? I found nothing useful.

* Undocumented changes in debian/changelog:

  • debian/libpurple0.install : "debian/tmp/usr/share/purple" in debian and not in ubuntu

    -> look at the commmon ancestor. Not present. Assume this is a debian undocumented change. Keep it

  • Same thing (bug deletion) for "debian/lintian-override/libpurple-bin usr/share/lintian/overrides" in libpurple-bin.install
  • Same for "# installed by pidgin-data

finch: binary-without-manpage usr/bin/finch" in lintian-override/finch, lintian-override/libpurple-bin, "pidgin: binary-without-manpage usr/bin/pidgin" in lintian-override/pidgin

  • 01_gtkspell-locale3.patch, 24_debian-gconf.patch have been removed in debian side, kept it removed it in ubuntu one.
  • changes in debian/TODO file
  • deletion in debian/rules:
    • CFLAGS = -fstack-protector
    • -V "libpurple0 (>= $(major).0)"

Put in bzr and update libgtop2 2.25.91 to jaunty


Sponsored by mvo


Update totem to 2.25.91


Sponsored by mvo


Update evince 2.25.91


sponsor : seb128


Update gnome-python-desktop 2.25.91


sponsor : seb128


Update & put seahorse-plugins 2.25.91 into bzr


sponsor : seb128


Update & put vino 2.25.91 into bzr


sponsor : seb128


Update & put vinagre 2.25.91 into bzr


sponsor : seb128


Update gnome-games to 2.25.91


Sponsored by seb128


Update & put gnome-icon-theme 2.25.90 into bzr


sponsor : seb128


Friendly recovery - Fix dchclient which forced to use eth0 when dropping to root shell prompt


sponsor : Luke Yelavich


Update & put gnome-python-desktop 2.15.3 into bzr


sponsor : seb128


Update gtkmm2.4 2.15.3


sponsor : seb128


Update & put evince 2.25.90 into bzr


sponsor : seb128


* created -dev package and lib.x packages in debian/control.in and adapt debian/rules file

  • list .pc file to seek for each dependency and dpkg -S on them and add them in -dev packages

Requires: gio-2.0 >= 2.18.0 gtk+-2.0 >= 2.12.0 -> need libgtk2.0-dev and libglib2.0-dev

  • add .a file (static version of the code) to -dev package and remove .la (information for some architecture for static builds, not needed in Linux because of libtool usage)

Warning /!\ it's not easy to remove a .la from a package where it has been already given: because all depends has to be rebuilt (they can use them).

-> I saw that during the compilation, some warnings appears telling that this library is not using most of them. But well, I reckon that we follow the .pc requirements to choose build dependencies of a given library and don't change it on our own.

* create corresponding .install files and adapt rules files

* files not used, but not needed in Ubuntu (right?) as .la is for I: checking for missing files with dh_install. dh_install: usr/lib/libevview.a exists in debian/tmp but is not installed to anywhere dh_install: usr/lib/libevdocument.a exists in debian/tmp but is not installed to anywhere dh_install: usr/lib/libevdocument.la exists in debian/tmp but is not installed to anywhere dh_install: usr/lib/libevview.la exists in debian/tmp but is not installed to anywhere

* shlibs file seems ok

* gconf install:

  • without reference in evince.install: no debian/evince/usr/share/gconf
  • so, two solution:
    • in evince.install: debian/tmp/etc/gconf
      • it copied from debian/tmp to debian/evince. Then, dh_gconf is called and it mv debian/evince/etc/gconf to debian/evince/usr/share/gconf.

Warning /!\ if dh_install --list-missing is called, you will find debian/evince/etc/gconf

* do not forget to use Section: libs and Section: libdevel for lib packages

* doc library files:

  • just installed /usr/share/gtk-doc/html/libevdocument in libevdocument-dev and not evince
  • update the 3 .install to list only the html api corresponding to each binary (each libevince*-dev its documentation)
  • nothing in the libs, library should not conflict on soname changes (in library you only put the library itself since you want no common files when the soname is changed)
  • there is 3 html directory, one for evince binary and one for each library

* doc package files:

  • -dev doc packages are symlinks (automatic handled by cdbs) on library doc packages (for instance):
    • ./usr/share/doc/libevdocument-dev/NEWS.gz -> ../libevdocument1/NEWS.gz

    • ./usr/share/doc/libevdocument-dev/changelog.Debian.gz -> ../libevdocument1/changelog.Debian.gz

Put in bzr and update gnome-games to 2.25.90


In bzr : http://bazaar.launchpad.net/~ubuntu-desktop/gnome-games/ubuntu/revision/6 Sponsored by seb128


[needs-packaging] loggedfs


File: loggedfs-0.5-0ubuntu1 Advocated by dholbach & mok0


Please sync swfdec0.8 0.8.4-1 (universe) from Debian unstable (main)


File: swfdec-0.8.4-1 Sponsored by Colin Watson


Make lm-sensors-3 use default distribution flags


File: lm-sensors-3_3.0.2-2ubuntu3 Sponsored by Colin Watson


Put in bzr and update gnome-games to 2.25.5. Add LPI integration to python games glchess and gnome-sudoku


In bzr : http://bazaar.launchpad.net/~ubuntu-desktop/gnome-games/ubuntu/revision/4 Sponsored by seb128


  • LPI integration : no documentation for python (and only gaijm used it: it is no more the case). Using GTKBuilder and glade (depending on the app)
  • use jaunty libtool in a pbuilder environment
  • wrote the desktop documentation to use bzr with packages

Put in bzr and update totem-pl-parser to 2.25.1


In bzr : http://bazaar.launchpad.net/~ubuntu-desktop/totem-pl-parser/ubuntu/revision/3 Sponsored by Michael Vogt


Put in bzr and update totem to 2.25.3


In bzr : http://bazaar.launchpad.net/~ubuntu-desktop/totem/ubuntu/revision/3 Sponsored by Michael Vogt


Update gnome-control-center to 2.25.3


In bzr : http://bazaar.launchpad.net/~ubuntu-core-dev/gnome-control-center/ubuntu/revision/41 Sponsored by Michael Vogt


SRU for: easy file sharing not notifying about logout/login bug#212098


File: nautilus-share 0.7.2-0ubuntu5.1 Sponsored by pitti, archive managed by Steve Langasek


Merge kdenlive 0.7


File: kdenlive-0.7 Uploaded by scottK


Sync goocanvas 0.13-1


Acked by dholbach synced by Steve Langasek


Merge swfdec-mozilla 0.8.2-1


File: swfdec-mozilla-0.8.2-1ubuntu1 Uploaded by dholbach


Merge lm-sensors-3.0.2-2


File: lm-sensors-3_3.0.2-2ubuntu1 Uploaded by Steve Langasek


Sync swfdec 0.8.2-1


Acked by jamesw synced by seb128


Merge nis 3.17-17


File: nis_3.17-17ubuntu1 Uploaded by pitti


Merge freecol


File: freecol_0.7.4.dfsg+1-1ubuntu1 Uploaded by James Westby


Merge sympa from debian 5.3.4-6.1


File: sympa 5.3.4-6.1ubuntu1 Uploaded by persia


update vinagre to 2.24.1


File: vinagre 2.24.1-0ubuntu1 Uploaded by dholbach


update vino to 2.24.1


File: vino 2.24.1-0ubuntu1 Uploaded by seb128


update gnome-games to 2.24.1


File: gnome-games 2.24.1-0ubuntu1 Uploaded by seb128


update evince to 2.24.1


File: evince 2.24.1-0ubuntu1 Uploaded by seb128


update xchat-gnome to 0.24.1


File: xchat-gnome 0.24.1-0ubuntu1 Uploaded by seb128


update gconf-editor to 2.24.1


File: gconf-editor 2.24.1-0ubuntu1 Uploaded by seb128


update gnome-themes to 2.24.1


File: gnome-themes 2.24.1-0ubuntu1 Uploaded by seb128


easy" file sharing not notifying about logout/login bug#212098


File: nautilus-share 0.7.2-0ubuntu7 Uploaded by pitti


update swfdec-mozilla to 0.8


File: swfdec-mozilla 0.8.0-0ubuntu1 Uploaded by asac


  • use dh_link (and a .links file)

MIR for babl and gegl


Approved by pitti


Just list dependencies an tell if they are in main or not, do not precise which binary package.

update swfdec0.8


File: swfdec0.8_0.8.0-0ubuntu1 Uploaded by dholbach


update gnome-swfdec


File: swfdec-gnome 2.24.0-0ubuntu1 Uploaded by asac


Depend on swfdec0.8 which was in debian NEW. Created it as it will not make the intrepid goal.

update gnome-volume-manager


File: gnome-volume-manager_2.24.0-0ubuntu1 Uploaded by dholbach


update gnome-system-tools


File: gnome-system-tools_2.24.0-0ubuntu1 Uploaded by dholbach


update gconf-editor


File: gconf-editor_2.24.0-0ubuntu1 Uploaded by seb128


update libbonoboui


File: libbonoboui-2.24.0-0ubuntu1 Uploaded by seb128


straightforward update

update libbonobo


File: libbonobo-2.24.0-0ubuntu1 Uploaded by seb128


straightforward update

sgt-puzzle: netslide desktop file executes wrong command


File: sgt-puzzle-7983-1ubuntu2 Uploaded by lutin


straightforward correction

update pygoocanvas


File: pygoocanvas-0.12-0ubuntu1 Uploaded by geser


straightforward update

update gnome-volume-manager


File: gnome-volume-manager-2.22.5 Uploaded by pitti


  • Same as above
  • some patch don't apply:
    • same method as below (adapt each patch)
    • cdbs-edit-patch ... and compare with .rej file
      • - src/manager.c all depends now on #ifdef ENABLE_AUTOMOUNT
        • - src/properties.c

        => All depends on this #define automount

      • 02_fix_autokeyboard_gconf.patch: adapt to the new src/manager.c with #ifdef ENABLE_AUTOMOUNT structure
      • 08_fix_scanner_support.patch: deleted as applied upstreamcd .

update gnome-spell


File: gnome-spell-1.0.8-0ubuntu1 Uploaded by seb128


  • when uncompressing new data:

didrocks@DidSCU:~/packaging/gnome-spell/gnome-spell-1.0.8$ zcat ../gnome-spell_1.0.7-1ubuntu2.diff.gz | patch -p1
patching file config.guess
Reversed (or previously applied) patch detected!  Assume -R? [n] 
Apply anyway? [n] 
Skipping patch.
16 out of 16 hunks ignored -- saving rejects to file config.guess.rej
patching file config.sub
Reversed (or previously applied) patch detected!  Assume -R? [n] 
Apply anyway? [n] 
Skipping patch.
20 out of 20 hunks ignored -- saving rejects to file config.sub.rej
...
  • comparing them between old source and new one:
    • diff config.guess ../gnome-spell-1.0.7/config.guess => no diff

    • diff config.sub ../gnome-spell-1.0.7/config.sub => no diff

=> those configuration file are produced by debian autotools. Do not touch them

  • rm *.rej

...

  • dch -i

...

update goocanvas


File: goocanvas-0.12-0ubuntu1 Uploaded by geser


Same as below

  • Some patch aren't applied so dpatch-edit-patch (as it uses dpatch) and compare with the .rej what has be to be updated

update nautilus-python


File: nautilus-python-0.5.1-0ubuntu1 Uploaded by geser


  • get old package
    • apt-get source nautilus-python
    • lsdiff -z ...diff.gz => in debian/ and in src/

  • get, rename and extract the new source package:
  • Applying the diff:
    • zcat ../nautilus-python_0.5.0-0ubuntu3.diff.gz | patch -p1
  • dch -i
    • change version
    • read the NEWS to specify what's new on the new upstream release

changes in patch :

  • 01_fix-extension-directory.patch deleted: replacement of nautilus extensions dir with upstream one (@NAUTILUS_EXTENSION_DIR@)
  • debian/control is ok
  • debuild -S
    • debian/rules:7: /usr/share/gnome-pkg-tools/1/rules/uploaders.mk: Aucun fichier ou dossier de ce type
    • install gnome-pkg-tools
  • sudo pbuilder…

backport ufw 0.22/iptable to hardy. Bug #268931

  • Dependencies:

Build-Depends-Indep: python-central (>= 0.5.6), sed (>= 3.95), netbase, po-debconf
Depends: debconf, ${python:Depends}, iptables (>= 1.4.0), ucf

All are ok, but iptable (1.3.8 in hardy) -> have to backport iptable.

  • apt-cache rdepends ufw

-> ubuntu-standard (metapackage). Ok.

  • apt-cache rdepends iptables

for each rdepends:

for i in $(cat toto)
do
   echo $i": "$(apt-cache show $i | grep iptables | grep "<")
done

=>

util-vserver: 
uruk: 
uif: 
specter: 
shorewall-lite: 
shaperd: 
pyroman: 
psad: 
p3scan: 
network-config: 
netscript-2.4: 
lokkit: 
libabz0: 
kvpnc: 
knetfilter: 
ipset: 
ipmasq: Conflicts: iptables (<< 1.2.1-1)
ipkungfu: 
heartbeat: 
guidedog: 
grml-btnet: 
gpe-shield: 
fwanalog: 
firestarter: 
firehol: 
fiaif: 
ferm: 
fail2ban: 
education-thin-client-server: 
education-main-server: 
ebtables: 
ebox-network: Depends: dhcp3-client, dnsutils, ebox (>= 0.11.99), ebox (<< 0.12), ebox-objects, gconf2 (>= 2.10.1-2), iproute, iptables, jnettop, libnet-arp-perl, libnet-ip-perl, librrds-perl, net-tools, rrdtool, vlan
ebox-firewall: Depends: ebox (>= 0.11.99), ebox (<< 0.12), ebox-network, ebox-objects, ebox-services, gconf2 (>= 2.10.1-2), iptables
arno-iptables-firewall: 
ubuntu-standard: 
shorewall-common: 
ppp: 
libvirt-bin:

=> Seems ok.

  • So, we have to try to compile iptables and ufw.
  • dch -e intrepid -> hardy

  • sudo DIST=hardy pbuilder build iptables...dsc

cc -g -O2 -Wall -Wunused -I/usr/include -I/usr/include -Iinclude/ -DIPTABLES_VERSION=\"1.4.0\"    -c -o libiptc/libip6tc.o libiptc/libip6tc.c
libiptc/libip6tc.c: In function 'ipv6_prefix_length':
libiptc/libip6tc.c:123: error: 'const struct in6_addr' has no member named '__in6_u'
libiptc/libip6tc.c:127: error: 'const struct in6_addr' has no member named '__in6_u'
make[1]: *** [libiptc/libip6tc.o] Error 1
rm libiptc/libip4tc.o
make[1]: Leaving directory `/tmp/buildd/iptables-1.4.0/debian/build/iptables'
make: *** [build] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
pbuilder: Failed autobuilding of package
 -> Aborting with an error

FTBFS.

No change in the source libiptc/libip6tc.c from hardy to intrepid:

ipv6_prefix_length(const struct in6_addr *a)
{
        int l, i;
        for (l = 0; l < 128; l++) {
                if (BIT6(a, l) == 0)
                        break;
        }
        for (i = l + 1; i < 128; i++) {
                if (BIT6(a, i) == 1)
                        return -1;
        }
        return l;
}

BIT6 #define has not changed neither

in http://ou800doc.caldera.com/en/SDK_netapi/sockC.TheIPv6sockaddrstructure.html found that the structure is declared at: netinet/in.h

in hardy:

struct in6_addr
  {
    union
      {
        uint8_t u6_addr8[16];
        uint16_t u6_addr16[8];
        uint32_t u6_addr32[4];
      } in6_u;
#define s6_addr                 in6_u.u6_addr8
#define s6_addr16               in6_u.u6_addr16
#define s6_addr32               in6_u.u6_addr32
  };
  • dpkg -S /usr/include/netinet/in.h

-> libc6-dev

in intrepid:

/* IPv6 address */
struct in6_addr
  {
    union
      {
        uint8_t __u6_addr8[16];
#if defined __USE_MISC || defined __USE_GNU
        uint16_t __u6_addr16[8];
        uint32_t __u6_addr32[4];
#endif
      } __in6_u;
#define s6_addr                 __in6_u.__u6_addr8
#if defined __USE_MISC || defined __USE_GNU
# define s6_addr16              __in6_u.__u6_addr16
# define s6_addr32              __in6_u.__u6_addr32
#endif
  };
  • So, libc6 has changed and implemented in6_u instead of in6_u

As I do not want to touch libc6 (strange isn'it ? ;)). I think the idea will be to change iptables to adress in6_u instead of in6_u

  • Hum sounds great:

$ grep -r __in6_u *
debian/patches/0900-compile-against-linux-libc-dev.patch:+ ((ntohl(a->__in6_u.__u6_addr32[(l) / 32]) >> (31 - ((l) & 31))) & 1)
debian/patches/0900-compile-against-linux-libc-dev.patch:+                      addrp[j].__in6_u.__u6_addr32[k] &= maskp->__in6_u.__u6_addr32[k];

So, removing this from the patch can be helpful (and that's why we didn't see it before !), no?

-> trying to make it in a clean way: ie quilt push 0900..., but a lot of patch can't applied ! Also, some time, can't execute debuild -S successfully. Removing directly from the .patch files what has to be removed and it builds!

Add ufw rules to cups. Bug #261903


File: 1.3.8-5ubuntu4 Uploaded by jdstrand


Similar to #261198

Add ufw rules to openssh. Bug #261884


File: openssh_5.1p1-1ubuntu2 Uploaded by jdstrand


Similar to #261198

Add ufw rules to apache. Bug #261198


File: apache2_2.2.9-3ubuntu2 Uploaded by jdstrand


Collision: kees updloaded after I submitted my debdiff. Had to rebuild it Smile :)

  • debian/control: suggest to ufw on apache2.2-common binary packages as every packages (apache2 and its different dependencies) rely on it.
  • The package uses dh_installdirs. Edit so apache2.2-common.dirs to add etc/ufw/applications.d.
  • update script files:
    • apache2.2-common.postinst: add only Apache rules as default install only use port 80. (just before #DEBHELPER# and exit 0)

if [ -x /usr/sbin/ufw ]; then
        ufw app update --add-new Apache || true
fi
  • apache2.2-common.postrm: in "purge" target

    rm -f /etc/ufw/applications.d/apache2.2-common >/dev/null 2>&1 || true
  • add debian/apache2.2-common.ufw.profile with the 3 profiles in it.
  • Finally add to debian/rules to install target:

install -m644 debian/apache2.2-common.ufw.profile debian/apache2.2-common/etc/ufw/applications.d/apache2.2-common
  • dch -i

  * add ufw integration (see
    https://wiki.ubuntu.com/UbuntuFirewall#Integrating%20UFW%20with%20Packages)
    (LP: #261198)
    - debian/control: suggest ufw for apache2.2-common
    - add apache2.2-common.ufw.profile with 3 profiles and install it to
      /etc/ufw/applications.d/apache2.2-common
    - apache2.2-common.postinst: add Apache rules as default
    - apache2.2-common.postrm: remove the profile on --purge

Remove multiuser for nvidia-kernel-common. Bug #254264


File: nvidia-kernel-common_20051028+1+nmu2ubuntu1 Uploaded by tseliot & timo Accepted in debian


  • grep -r multiuser *
    • old in debian/rules:

dh_installinit --name=nvidia-kernel -- multiuser
  • I replaced with:

dh_installinit --name=nvidia-kernel -- start 20 2 3 4 5 . stop 20 1 .
  • grep -r Default-Stop *

-> Nothing

  • See also the change in debian/control (cf below). Remove depends on sysv-rc (>= 2.86.ds1-14.1ubuntu2)

  • Assure that a debian/*.postinst exists to remove kill links in 0 et 6 status
  • dch -i
  • debuild -S, debdiff, pbuilder
  • unassigned, state -> confirmed, suscribed u-m-s (rmadison <package_name> -> nothing shown, so, it's under main section)

  • have to send to upstream

Remove multiuser for nis. Bug #254262 and FTBFS #259138


file: nis_3.17-14ubuntu2 Approved by pitti


  • grep -r multiuser *
    • old in debian/postinst:

update-rc.d nis multiuser 18 >/dev/null 2>&1
  • I replaced with:

update-rc.d nis start 18 2 3 4 5 . stop 18 1 . >/dev/null 2>&1
  • grep -r Default-Stop *

 * debian/rc.nis:# Default-Stop:                0 1 6          ->   1
 * ypbind-mt-1.20.1/etc/ypbind.init:# Default-Stop: 0 1 2 6   -> do not change it as it is on the source (and we do not want a patch for that) and not for debian/ubuntu
  • See also the change in debian/control (cf below). Remove depends on sysv-rc (>= 2.86.ds1-14.1ubuntu2)

  • Assure that a debian/*.postinst exists to remove kill links in 0 et 6 status
  • dch -i
  • debuild -S, debdiff, pbuilder

-> FTBFS

  • unassigned, state -> confirmed, suscribed u-m-s (rmadison <package_name> -> nothing shown, so, it's under main section)

  • send to upstream

Remove multiuser for lm-sensors. Bug #254259


File: lm-sensors-3_3.0.2-1ubuntu2 Uploaded by bryyce Accepted in debian


  • grep -r multiuser *
    • old in debian/rules:

dh_installinit -psensord -- multiuser
  • I replaced with:

dh_installinit -psensord -- start 20 2 3 4 5 . stop 20 1 .
  • grep -r Default-Stop *

   * debian/lm-sensors.fancontrol.init:# Default-Stop:      0 1 6     -> (Not changed as fancontrol is not impacted)
   * debian/sensord.init:# Default-Stop:      0 1 6                   -> 1
   * debian/lm-sensors.lm-sensors.init:# Default-Stop:                (Not changed as even Default-Start as "S" as a value instead of 2 3 4 5…)
   * prog/init/lm_sensors.init.suse:# Default-Stop:                     0 1 2 6   (Not changed as in the source and specific to suse)
  • See also the change in debian/control (cf below). Remove depends on sysv-rc (>= 2.86.ds1-14.1ubuntu2) on one of the binary package

  • Assure that a debian/*.postinst exists to remove kill links in 0 et 6 status
  • dch -i
  • debuild -S, debdiff, pbuilder
  • unassigned, state -> confirmed, suscribed u-m-s (rmadison <package_name> -> nothing shown, so, it's under main section)

  • send to upstream

Remove multiuser for keepalived. Bug #254257


File: keepalived_1.1.15-1ubuntu2.debdiff Uploaded by StevenK


  • grep -r multiuser *
    • old in debian/rules:

DEB_UPDATE_RCD_PARAMS := multiuser
  • This package use cdbs. I replaced with:

DEB_UPDATE_RCD_PARAMS := start 20 2 3 4 5 . stop 20 1 .
  • grep -r Default-Stop *
    • old in debian/init.d:

# Default-Stop:      0 1 6
  • replaced with:

# Default-Stop:      1
  • See also the change in debian/control (cf below). Remove depends on sysv-rc (>= 2.86.ds1-14.1ubuntu2)

  • Assure that a debian/*.postinst exists to remove kill links in 0 et 6 status
  • dch -i
  • debuild -S, debdiff, pbuilder
  • unassigned, state -> confirmed, suscribed u-m-s (rmadison <package_name> -> nothing shown, so, it's under main section)

  • send to upstream

Remove multiuser for dictd. Bug #254252


File: dictd_1.10.11.dfsg-2ubuntu2 Uploaded by dholbach


  • grep -r multiuser *
    • old in debian/rules:

dh_installinit -- multiuser
  • replaced with:

dh_installinit -- start 20 2 3 4 5 . stop 20 1 .
  • grep -r Default-Stop *
    • old in debian/dictd.init:

# Default-Stop:      0 1 6
  • replaced with:

# Default-Stop:      1
  • Since the maintainer is not Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com> (even if the previous version was xxxubuntu1), change it as debuild -S shout about it.

  • See also the change in debian/control (cf below). No change seems necessary.
  • Assure that a debian/*.postinst exists to remove kill links in 0 et 6 status
  • dch -i
  • debuild -S, debdiff, pbuilder
  • unassigned, state -> confirmed, suscribed u-m-s (rmadison <package_name> -> nothing shown, so, it's under main section)

  • send to upstream

Remove multiuser for acpid. Bug #254249


File: acpid_1.0.6-9ubuntu3 Uploaded by bryyce


  • grep -r multiuser *
    • old in debian/rules:

dh_installinit -- multiuser 10 21

dh_installinit -- start 10 2 3 4 5 . stop 21 1 .
  • grep -r Default-Stop *
    • old in debian/acpid.init.d:

# Default-Stop:      0 1 6
  • replaced with:

# Default-Stop:      1
  • further information from james_w show that I have to remove sysvinit special dependency has multiuser forced that (just use debian old rules from patches.ubuntu.com or packages.debian.org) apart from lsb-base (>= 3.2-14) which is used for status action in init script

  • Assure that a debian/*.postinst exists to remove kill links in 0 et 6 status
  • dch -i

  * Replace "multiuser" deprecated init mode in debian/rules with manual
    arguments. Adapt the corresponding change in LSB init script header and 
    runtime dependency in debian/control (LP: #254249)
  • debuild -S, debdiff, pbuilder
  • unassigned, state -> confirmed, suscribed u-m-s (rmadison <package_name> -> nothing shown, so, it's under main section)

  • send to upstream, cleaning all modifications that are not Ubuntu-dependent (example: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=494951)

Fix NBS for icedtea-java7-jre, bug #203636


File: project-x_0.90.4dfsg-0ubuntu5; sun-javadb_10.3.2.1-0ubuntu2; freecol_0.7.4.dfsg-1ubuntu1; libwoodstox-java_3.9.2.dfsg-1ubuntu1 Uploaded by Lutin & dholbach & doko -> NBS removed asking on #ubuntu-devel


-- intrepid/universe xxx deps on icedtea-java7-jre:
azureus
freecol
project-x
-- intrepid/multiverse xxx deps on icedtea-java7-jre:
sun-javadb-client
sun-javadb-core
sun-javadb-demo

+1 "late" dependencie:

libwoodstox-java
  • for each binary package, to find the source package:
    • apt-cache showsrc <package> | grep Package

Package: azureus
Package: freecol
Package: project-x
Package: sun-javadb
  • None of those are NBS
    • download all of them and look into debian/control

azureus: 
Depends: openjdk-6-jre | icedtea-java7-jre | sun-java6-jre | sun-java5-jre,
 libcommons-cli-java, liblog4j1.2-java, libseda-java, libswt3.2-gtk-java

freecol:
Depends: openjdk-6-jre | icedtea-java7-jre | sun-java6-jre | j2re1.6 , 
 libhiglayout-java, libwoodstox-java, , java-wrappers (>= 0.1.4)

project-x:
Depends:${misc:Depends}, libcommons-net-java, openjdk-6-jre | icedtea-java7-jre | sun-java6-jre | sun-java5-jre

sun-javadb:
Depends: sun-javadb-common, openjdk-6-jre | sun-java5-jre | sun-java6-jre | icedtea-java7-jre | java2-runtime
  • Azureus has been merged during this time.
  • Removed icedtea-java7-jre from dependencies and well as specific dependencies :

https://lists.ubuntu.com/archives/ubuntu-devel-announce/2008-July/000460.html
It is either 'default-jre | java2-runtime' or 'default-jre-headless | java2-runtime-headless'. Headless if the package does not any UI classes like AWT and SWING.
for buildd: default-jdk

Change maintainer field for non Ubuntu specific package

Bug #61039 (no desktop entry) and #255086 (FTBFS)


File: sgt-puzzles_7983-1ubuntu1 Uploaded by Adri2000


export QUILT_PATCHES=debian/patches
quilt push 202_online-help.diff
quilt push 203_follow-fd.o-clipboards-spec.diff
quilt push 304_combine-binaries.diff (but error has weren't is the series file)
quilt new 306_fix-ftbfs-with-fortify-source-2.diff
quilt add gtk.c
vim gtk.c
quilt refresh
quilt pop -a
  • I think that unstead searching for the patches including this files, I could use push -a

  • echo "306_fix-ftbfs-with-fortify-source-2.diff" >> debian/patches/series

  • Changed original maintainer (see below)
  • dch -i and add "add 306_fix-ftbfs-with-fortify-source-2.diff to fix FTBFS in gtk.c (LP: #255086)"

  • Created and validated the 27 desktop files (one for each game) in debian/desktop/ (created directory)
  • Create pixmap icons

for source in `ls icons/*48d8*`
do
dest=$(basename $source | sed -e 's/\([a-z][A-Z]*\)-48d8.png/\1/')
convert $source debian/desktop/${dest}.xpm
done

(and rename the 3 debian renamed files to avoid conflicts)

  • Added to debian/rules, after dh_installmenu in binary-arch target

        mkdir -p -m755  debian/sgt-puzzles/usr/share/applications
        install -m644 debian/desktop/*.desktop debian/sgt-puzzles/usr/share/applications
        mkdir -p -m755  debian/sgt-puzzles/usr/share/pixmaps/
        install -m644 debian/desktop/*.xpm debian/sgt-puzzles/usr/share/pixmaps/
  • run dch -a and add :

  * add desktop files and xpm files (on for each game) to the menu in
    debian/dekstop (LP: #61039)
  • build it and generate the debdiff file attached to the bugs and add intrepid origin-ubuntu ubuntu-patch as a tag (I cannot put any milestone for the bug? Intrepid alpha 4 milestone would have been great), place them back to "confirmed" status and assigned to nobody, subscribe u-u-s

  • Report to upstream

'''#245633: wrong text for a .desktop file''' https://bugs.launchpad.net/bzr-gtk/+bug/245633, add also some french translation to it and remove deprecated/wrong key in the .desktop


File: bzr-gtk-0.94.0-1ubuntu1 Uploaded by warp10 PATCH COMMITED TO UPSTREAM with rev 0.95.0 https://bugs.launchpad.net/bzr-gtk/+bug/245633/comments/17


  • Place the bug status to "in progress" and assigned to me
  • Get the source and had a look at it.

As the file to correct is at the root of the source, I had to patch the package.

  • The original maintainer was a Debian one, so I changed the debian/control file:

Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: ...
  • used dpatch (as the original maintainer use it) and runned dpatch-edit-patch 04-change-menu-entry.dpatch

    • - vim the right file and change the content of it. Then exit 0 - vim 04-change-menu-entry.dpatch to change the first lines (DP field to give a description of the patch)

(if multiple lines add ## DP: at the begining of each line)

  • - add 04-change-menu-entry.dpatch to debian/patches/00list

  • run dch -i to update the debian/changelog file and added (LP: #245633)

bzr-gtk (0.94.0-1ubuntu1) intrepid; urgency=low

  * add 04-change-menu-entry.dpatch to fix name, add french translation and
    remove some deprecated keys in olive-gtk.desktop (LP: #245633)

 -- Didier Roche <didrocks@...>  Fri, 01 Aug 2008 15:14:06 +0200
  • rebuild the source package with debuild -S (for new diff.gz and .dsc file)

  • Finally: debdiff bzr-gtk_0.94.0-1.dsc bzr-gtk_0.94.0-1ubuntu1.dsc > debdiff

  • build the package for a try: sudo pbuilder build bzr-gtk_0.94.0-1ubuntu1.dsc

    • - the .deb is in /var/cache/pbuilder/result/ - install in a VM

  • run desktop-file-validate olive-gtk.desktop to validate the desktop file

  • test the debdiff by patch -p1 < debdiff

  • Attach the debdiff to the bug report, place it back to "confirmed" status and assigned to nobody, subscribe u-u-s
  • Added tags intrepid origin-ubuntu ubuntu-patch (cf https://wiki.ubuntu.com/Debian/Usertagging)

  • Report to upstream


CategoryMOTULog

DidierRoche/MOTU/bugsaction (last edited 2009-03-23 11:59:52 by 91)